<template>
    <Gallery :items="items" />
</template>
<script>
import Gallery from '@/components/Gallery.vue'
export default {
    components: {
        Gallery,
    },
    data() {
        return {
            items: [
                {
                    id: 'gallery-rubi',
                    title: 'RUBI - WOLVERTEM',
                    thumbnail: require('@/assets/images/gallery/rubi/achtergevel1.jpg'),
                    download: 'S-Build_Rubi_Lastenboek.pdf',
                    images : [
                        { 
                            src : require('@/assets/images/gallery/rubi/achtergevel1.jpg'),
                            type: 'image',
                        },
                        { 
                            src : require('@/assets/images/gallery/rubi/achtergevel2.jpg'),
                            type: 'image',
                        },
                    ],
                },
                {
                    id: 'gallery-wemmel',
                    title: 'MONDRIAAN - WEMMEL',
                    thumbnail: require('@/assets/images/gallery/wemmel/main_mondriaan_wemmel.jpg'),
                    images : [
                        { 
                            src : require('@/assets/images/gallery/wemmel/main_mondriaan_wemmel.jpg'),
                            type: 'image',
                        },
                        { 
                            src : require('@/assets/images/gallery/wemmel/Front1.jpg'),
                            type: 'image',
                        },
                        { 
                            src : require('@/assets/images/gallery/wemmel/Back1.jpg'),
                            type: 'image',
                        },
                        { 
                            src : require('@/assets/images/gallery/wemmel/wemmel_first.jpg'),
                            type: 'image',
                        },
                        { 
                            src : require('@/assets/images/gallery/wemmel/wemmel_ground.jpg'),
                            type: 'image',
                        },
                        { 
                            src : require('@/assets/images/gallery/wemmel/wemmel_second.jpg'),
                            type: 'image',
                        },
                    ],
                },
                {
                    id: 'gallery-wolvertem',
                    title: 'WOLVERTEM',
                    thumbnail: require('@/assets/images/gallery/wolvertem/WolvertemMain.jpg'),
                    images : [
                        { 
                            src : require('@/assets/images/gallery/wolvertem/WolvertemMain.jpg'),
                            type: 'image',
                        },
                        { 
                            src : require('@/assets/images/gallery/wolvertem/wolvertem_ground.jpg'),
                            type: 'image',
                        },
                        { 
                            src : require('@/assets/images/gallery/wolvertem/wolvertem_first.jpg'),
                            type: 'image',
                        },
                        { 
                            src : require('@/assets/images/gallery/wolvertem/wolvertem_second.jpg'),
                            type: 'image',
                        },
                    ],
                },
                {
                    id: 'gallery-coming-soon-1',
                    title: 'HALLE',
                    thumbnail: require('@/assets/images/gallery/Coming-Soon.jpg'),
                },
                {
                    id: 'gallery-coming-soon-2',
                    title: 'Wemmel - URBAN CHIC',
                    thumbnail: require('@/assets/images/gallery/Coming-Soon.jpg'),
                },
            ],
        }
    }
}
</script>
